Skip to content

List tags

GET
/api/v1/tags
curl --request GET \
--url https://osctrl.net/api/v1/tags \
--header 'Authorization: <Authorization>'

Returns tags across environments.

OK

Media typeapplication/json
Array<object>
object
auto_tag
boolean
cohort
boolean
color
string
created_at
string
created_by
string
custom_tag
string
description
string
environment_id
integer
icon
string
id
integer
name
string
tag_type
integer
updated_at
string
Examplegenerated
[
{
"auto_tag": true,
"cohort": true,
"color": "example",
"created_at": "example",
"created_by": "example",
"custom_tag": "example",
"description": "example",
"environment_id": 1,
"icon": "example",
"id": 1,
"name": "example",
"tag_type": 1,
"updated_at": "example"
}
]

Bad request

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Conflict

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Too many requests

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Service unavailable

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}